from Apifon.sdk.Model.PagingLinks import PagingLinks
from Apifon.sdk.Model.PagingMeta import PagingMeta


class PaginatedResponse:

    def __init__(self, array_response = None):
        self.meta = None
        self.links = None
        self.assign_values(array_response)

    def assign_values(self, array_response):
        if array_response is not None:
            if 'meta' in array_response:
                self.meta = PagingMeta(array_response['meta'])
            if 'links' in array_response:
                self.links = PagingLinks(array_response['links'])
