class SubgroupSingleQuery:

    def __init__(self, list_id, group_field,options_field):
        self.list_id = list_id
        self.group_field = group_field
        self.options_field = options_field

    @staticmethod
    def get_subgroup_request(list_id, group_field, options_field):
        if list_id is None or not isinstance(list_id, str):
            raise TypeError("Invalid list id. Should be of type str")
        if group_field is None or not isinstance(group_field, str):
            raise TypeError("Invalid group field. Should be of type str")
        if options_field is None or not isinstance(options_field, str):
            raise TypeError("Invalid options field. Should be of type str")
        return SubgroupSingleQuery(list_id, group_field,options_field)
