from Apifon.sdk.Response.ResultDetail import ResultDetail
from Apifon.sdk.Response.ResultInfo import ResultInfo


class GatewayResponse:

    def __init__(self, array_values):
        self.request_id = ''
        self.reference_id = ''
        self.results = {}
        self.result_info = ''
        self.assign_response(array_values)

    def assign_response(self, array_values):
        if 'request_id' in array_values:
            self.request_id = array_values['request_id']
        if 'reference' in array_values:
            self.reference_id = array_values['reference']
        if 'reference_id' in array_values:
            self.reference_id = array_values['reference_id']
        if 'results' in array_values:
            for k in array_values['results']:
                self.results[k] = list()
                for result in array_values['results'][k]:
                    self.results[k].append(ResultDetail(result))
        if 'result_info' in array_values:
            self.result_info = ResultInfo(array_values['result_info'])
