from Apifon.sdk.Response.ResultDetail import ResultDetail
from Apifon.sdk.Response.ResultInfo import ResultInfo


class OtpResponse:

    def __init__(self, array_values):
        self.request_id = ''
        self.reference_id = ''
        self.result = []
        self.result_info = ''
        self.assign_response(array_values)

    def assign_response(self, array_values):
        if 'request_id' in array_values:
            self.request_id = array_values['request_id']
        if 'reference_id' in array_values:
            self.reference_id = array_values['reference_id']
        if 'result' in array_values:
            for result in array_values['result']:
                self.result.append(ResultDetail(result))
        if 'result_info' in array_values:
            self.result_info = ResultInfo(array_values['result_info'])
