import base64
import hashlib
import hmac


class Signature:

    @staticmethod
    def sign(message, pkey):
        try:
            encode = hmac.new(bytes(pkey.encode("utf-8")), bytes(message.encode("utf-8")), hashlib.sha256).digest()
            signature = base64.b64encode(encode).decode()
            return signature
        except Exception as e:
            print(str(e))
