

class CampaignDefaultsBuilder:
    def __init__(self):
        self.sender_id = None
        self.viber_sender_id = None
        self.sender_name = None
        self.from_ = None  # from is a reserved keyword unfortunately
        self.reply_to = None

    @staticmethod
    def get_builder_from_campaign_defaults(campaign_defaults):
        if isinstance(campaign_defaults, CampaignDefaultsBuilder.CampaignDefaults):
            new_camp_def_builder = CampaignDefaultsBuilder()
            new_camp_def_builder.sender_id = campaign_defaults.sender_id
            new_camp_def_builder.viber_sender_id = campaign_defaults.viber_sender_id
            new_camp_def_builder.sender_name = campaign_defaults.sender_name
            new_camp_def_builder.from_ = campaign_defaults.from_
            new_camp_def_builder.reply_to = campaign_defaults.reply_to
            return new_camp_def_builder
        raise TypeError("Invalid campaign defaults. Should be of type CampaignDefaultsBuilder.CampaignDefaults")


    @staticmethod
    def get_campaign_defaults_builder():
        return CampaignDefaultsBuilder()

    def build(self):
        campaign_defaults = self.CampaignDefaults(self.sender_id, self.viber_sender_id, self.sender_name, self.from_,
                                                  self.reply_to)
        return campaign_defaults

    class CampaignDefaults:

        def __init__(self, sender_id, viber_sender_id, sender_name, from_, to):
            self.sender_id = sender_id
            self.viber_sender_id = viber_sender_id
            self.sender_name = sender_name
            self.from_ = from_
            self.reply_to = to
