from Apifon.sdk.Resource.Helpers.AbstractFieldSerializable import AbstractFieldSerializable


class GroupSingleQuery:

    def __init__(self, list_id, group_field):
        self.list_id = list_id
        self.group_field = group_field

    @staticmethod
    def get_group_request(list_id, group_field):
        if list_id is None or not isinstance(list_id, str):
            raise TypeError("Invalid list id. Should be of type str")
        if group_field is None or not isinstance(group_field, str):
            raise TypeError("Invalid group field. Should be of type str")
        return GroupSingleQuery(list_id, group_field)
