from abc import ABCMeta


class SingleResponse(metaclass=ABCMeta):
    def __init__(self, array_values):
        self.meta = {}
        self.assign_response(array_values)

    def assign_response(self, array_values):
        if 'meta' in array_values:
            #try for k, v
            for k in array_values['meta']:
                self.meta[k] = array_values['meta'][k]

    def get_etag(self):
        return self.meta['ETag']
