from enum import Enum


class OAuthGrantType(Enum):
    CLIENT_CREDENTIALS = "client_credentials"

    def __init__(self, grant_type):
        self.grant_type = grant_type

    def get_grant_type_as_string(self):
        return self.grant_type

    @staticmethod
    def has_value(value):
        return value in [item.value for item in OAuthGrantType]