from enum import Enum


class SubscriberFieldType(Enum):
    text = "TEXT"
    date = "DATE"
    email = "EMAIL"
    url = "URL"
    number = "NUMBER"
    mobile_number = "MOBILE_NUMBER"

    @staticmethod
    def has_value(value):
        return value in [item.value for item in SubscriberFieldType]
