from Apifon.sdk.Resource.AbstractResource import AbstractResource
from Apifon.sdk.Response.GatewayResponse import GatewayResponse


class IMResource(AbstractResource):

        def __init__(self, endpoint="/services/im"):
            super().__init__(endpoint)

        def send(self, request):
            self.cur_method = "POST"
            self.cur_endpoint = self.endpoint + "/send"
            if isinstance(request, str):
                self.cur_body = request
            else:
                self.cur_body = request.get_body()
            return GatewayResponse(self.dispatch())

        def remove(self, request):
            self.cur_method = "POST"
            self.cur_endpoint = self.endpoint + "/remove"
            if isinstance(request, str):
                self.cur_body = request
            else:
                self.cur_body = request.get_body()

            return self.dispatch()
