import Apifon.sdk.Mookee as mookee
import json
from Apifon.sdk.Model.MessageContent import MessageContent
from Apifon.sdk.Model.SmsRequest import SmsRequest
from Apifon.sdk.Resource.SMSResource import SMSResource


def remove_nones(var):
    for i in list(var):
        if not var[i] and var[i] is not 0:
            var.pop(i)
        elif type(var[i]) is dict:
            remove_nones(var[i])
        elif type(var[i]) is list:
            var[i] = [x for x in var[i] if x != 20]
            for j in var[i]:
                if type(j) is dict:
                    remove_nones(j)


def print_json(output):
    json_string = json.dumps(output, default=lambda o: o.__dict__, sort_keys=True, indent=4)
    json_dict = json.loads(json_string)
    remove_nones(json_dict)
    json_string = json.dumps(json_dict, default=lambda o: o.__dict__, sort_keys=True, indent=4)
    print(json_string)


Mookee = mookee.Mookee.get_instance()

Mookee.add_credentials("sms", "Your_SMS_Token", "Your_SMS_Secret_Key")
Mookee.set_active_credential("sms")

smsResource = SMSResource()
smsRequest = SmsRequest()

nums = ["306999999999"]

msgContent = MessageContent()
msgContent.text = "Hello There!"
msgContent.sender_id = "Apifon"

smsRequest.add_str_subscribers(nums)
smsRequest.message = msgContent

response = smsResource.send(smsRequest)
print_json(response)
